Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks
Class Hydra

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.objects.Null
                  de.grogra.imp3d.objects.ShadedNull
                      de.grogra.imp3d.objects.Sphere
                          de.grogra.blocks.Hydra

All Implemented Interfaces:
  Transformation, Pickable, Raytraceable, Renderable, Manageable, PersistenceCapable, Shareable, UserFields, XObject, Map, Instantiator<Instantiation>, java.io.Serializable

    public class Hydra

extends Sphere
implements Instantiator<Instantiation>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.imp3d.objects.Sphere
`Sphere.Pattern`

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static Node.NType.Field` | `initAll$FIELD`
`static Node.NType.Field` | `locationParameter$FIELD`
`static Node.NType.Field` | `lod$FIELD`
`static Node.NType.Field` | `number$FIELD`
`static Node.NType.Field` | `scale1$FIELD`
`static Node.NType.Field` | `scale2$FIELD`
`static Node.NType.Field` | `scaleMode$FIELD`
`static Node.NType.Field` | `slopeFunction$FIELD`
`static Node.NType.Field` | `spin1$FIELD`
`static Node.NType.Field` | `spin2$FIELD`
`static Node.NType.Field` | `spinMode$FIELD`
`static Node.NType.Field` | `trajectory$FIELD`
`static Node.NType.Field` | `twist1$FIELD`
`static Node.NType.Field` | `twist2$FIELD`
`static Node.NType.Field` | `twistMode$FIELD`

Fields inherited from class de.grogra.imp3d.objects.Sphere
`radius, radius$FIELD`

Fields inherited from class de.grogra.imp3d.objects.ShadedNull
`INFINITE_MASK, interior, interior$FIELD, shader, shader$FIELD, treatedAsInfinite$FIELD, USED_BITS`

Fields inherited from class de.grogra.imp3d.objects.Null
`transform, transform$FIELD, TRANSFORMING_MASK, transforming$FIELD`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`Hydra()`
`Hydra(boolean type)`
`Hydra(float n)`
`Hydra(float n, boolean type)`

Method Summary
`void` | `fieldModified(PersistenceField field, int[] indices, Transaction t)`
`float` | `getAbsoluteHeight()`
`int` | `getChildId()`
`float` | `getDensity()`
`Instantiator` | `getInstantiator()`
`float` | `getLocalHeight()`
`LocationParameterBase` | `getLocationParameter()`
`HydraLOD` | `getLod()`
`float` | `getN1()`
`float` | `getN2()`
`float` | `getN3()`
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`float` | `getNumber()`
`int` | `getParentId()`
`float` | `getRadius()`
`float` | `getScale1()`
`float` | `getScale2()`
`FloatToFloat` | `getScaleMode()`
`FloatToFloat` | `getSlopeFunction()`
`float` | `getSpin1()`
`float` | `getSpin2()`
`FloatToFloat` | `getSpinMode()`
`int` | `getThisId()`
`BSplineCurve` | `getTrajectory()`
`float` | `getTwist1()`
`float` | `getTwist2()`
`FloatToFloat` | `getTwistMode()`
`void` | `instantiate(Instantiation state)`
`boolean` | `isInitAll()`
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`void` | `setInitAll(boolean value)`
`void` | `setLocationParameter(LocationParameterBase value)`
`void` | `setLod(HydraLOD value)`
`void` | `setNumber(CustomFunction value)`
`void` | `setNumber(double value)`
`void` | `setNumber(java.lang.String value)`
`void` | `setRadius(float value)`
`void` | `setRadius(float firstRadius, float secondRadius)`
`void` | `setScale(double value1, double value2)`
`void` | `setScale(java.lang.String value1, java.lang.String value2)`
`void` | `setScale1(CustomFunction value)`
`void` | `setScale1(double value)`
`void` | `setScale1(java.lang.String value)`
`void` | `setScale2(CustomFunction value)`
`void` | `setScale2(double value)`
`void` | `setScale2(java.lang.String value)`
`void` | `setScaleMode(FloatToFloat value)`
`void` | `setSlopeFunction(FloatToFloat value)`
`void` | `setSpin(double value1, double value2)`
`void` | `setSpin(java.lang.String value1, java.lang.String value2)`
`void` | `setSpin1(CustomFunction value)`
`void` | `setSpin1(double value)`
`void` | `setSpin1(java.lang.String value)`
`void` | `setSpin2(CustomFunction value)`
`void` | `setSpin2(double value)`
`void` | `setSpin2(java.lang.String value)`
`void` | `setSpinMode(FloatToFloat value)`
`void` | `setTrajectory(BSplineCurve value)`
`void` | `setTwist(double value1, double value2)`
`void` | `setTwist(java.lang.String value1, java.lang.String value2)`
`void` | `setTwist1(CustomFunction value)`
`void` | `setTwist1(double value)`
`void` | `setTwist1(java.lang.String value)`
`void` | `setTwist2(CustomFunction value)`
`void` | `setTwist2(double value)`
`void` | `setTwist2(java.lang.String value)`
`void` | `setTwistMode(FloatToFloat value)`
`void` | `useLod(boolean value)`

Methods inherited from class de.grogra.imp3d.objects.Sphere
`createRaytracerLeaf, draw, pick, pick`

Methods inherited from class de.grogra.imp3d.objects.ShadedNull
`getInterior, getShader, getSymbolColor, isTreatedAsInfinite, setBackShader, setColor, setColor, setFrontShader, setInterior, setMaterial, setShader, setShaders, setTreatedAsInfinite`

Methods inherited from class de.grogra.imp3d.objects.Null
`getLocalTransformation, getTransform, getTranslation, isTransforming, postTransform, preTransform, setRotation, setScale, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransforming, setTranslation`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### initAll$FIELD

    public static final Node.NType.Field initAll$FIELD

### locationParameter$FIELD

    public static final Node.NType.Field locationParameter$FIELD

### lod$FIELD

    public static final Node.NType.Field lod$FIELD

### number$FIELD

    public static final Node.NType.Field number$FIELD

### scale1$FIELD

    public static final Node.NType.Field scale1$FIELD

### scale2$FIELD

    public static final Node.NType.Field scale2$FIELD

### scaleMode$FIELD

    public static final Node.NType.Field scaleMode$FIELD

### slopeFunction$FIELD

    public static final Node.NType.Field slopeFunction$FIELD

### spin1$FIELD

    public static final Node.NType.Field spin1$FIELD

### spin2$FIELD

    public static final Node.NType.Field spin2$FIELD

### spinMode$FIELD

    public static final Node.NType.Field spinMode$FIELD

### trajectory$FIELD

    public static final Node.NType.Field trajectory$FIELD

### twist1$FIELD

    public static final Node.NType.Field twist1$FIELD

### twist2$FIELD

    public static final Node.NType.Field twist2$FIELD

### twistMode$FIELD

    public static final Node.NType.Field twistMode$FIELD

Constructor Detail

### Hydra

    public Hydra()

### Hydra

    public Hydra(boolean type)

### Hydra

    public Hydra(float n)

### Hydra

    public Hydra(float n,
                 boolean type)

Method Detail

### fieldModified

    public void fieldModified(PersistenceField field,
                              int[] indices,
                              Transaction t)

  Specified by:
    `fieldModified` in interface `Manageable`
  Overrides:
    `fieldModified` in class `Node`

### getAbsoluteHeight

    public float getAbsoluteHeight()

### getChildId

    public int getChildId()

### getDensity

    public float getDensity()

### getInstantiator

    public Instantiator getInstantiator()

  Overrides:
    `getInstantiator` in class `Node`

### getLocalHeight

    public float getLocalHeight()

### getLocationParameter

    public LocationParameterBase getLocationParameter()

### getLod

    public HydraLOD getLod()

### getN1

    public float getN1()

### getN2

    public float getN2()

### getN3

    public float getN3()

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `Sphere`
  Returns:
    type describing the managed fields of the class of this node

### getNumber

    public float getNumber()

### getParentId

    public int getParentId()

### getRadius

    public float getRadius()

  Overrides:
    `getRadius` in class `Sphere`

### getScale1

    public float getScale1()

### getScale2

    public float getScale2()

### getScaleMode

    public FloatToFloat getScaleMode()

### getSlopeFunction

    public FloatToFloat getSlopeFunction()

### getSpin1

    public float getSpin1()

### getSpin2

    public float getSpin2()

### getSpinMode

    public FloatToFloat getSpinMode()

### getThisId

    public int getThisId()

### getTrajectory

    public BSplineCurve getTrajectory()

### getTwist1

    public float getTwist1()

### getTwist2

    public float getTwist2()

### getTwistMode

    public FloatToFloat getTwistMode()

### instantiate

    public void instantiate(Instantiation state)

  Specified by:
    `instantiate` in interface `Instantiator<Instantiation>`

### isInitAll

    public boolean isInitAll()

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `Sphere`
  Returns:
    new instance of class of this node

### setInitAll

    public void setInitAll(boolean value)

### setLocationParameter

    public void setLocationParameter(LocationParameterBase value)

### setLod

    public void setLod(HydraLOD value)

### setNumber

    public void setNumber(CustomFunction value)

### setNumber

    public void setNumber(double value)

### setNumber

    public void setNumber(java.lang.String value)

### setRadius

    public void setRadius(float value)

  Overrides:
    `setRadius` in class `Sphere`

### setRadius

    public void setRadius(float firstRadius,
                          float secondRadius)

### setScale

    public void setScale(double value1,
                         double value2)

### setScale

    public void setScale(java.lang.String value1,
                         java.lang.String value2)

### setScale1

    public void setScale1(CustomFunction value)

### setScale1

    public void setScale1(double value)

### setScale1

    public void setScale1(java.lang.String value)

### setScale2

    public void setScale2(CustomFunction value)

### setScale2

    public void setScale2(double value)

### setScale2

    public void setScale2(java.lang.String value)

### setScaleMode

    public void setScaleMode(FloatToFloat value)

### setSlopeFunction

    public void setSlopeFunction(FloatToFloat value)

### setSpin

    public void setSpin(double value1,
                        double value2)

### setSpin

    public void setSpin(java.lang.String value1,
                        java.lang.String value2)

### setSpin1

    public void setSpin1(CustomFunction value)

### setSpin1

    public void setSpin1(double value)

### setSpin1

    public void setSpin1(java.lang.String value)

### setSpin2

    public void setSpin2(CustomFunction value)

### setSpin2

    public void setSpin2(double value)

### setSpin2

    public void setSpin2(java.lang.String value)

### setSpinMode

    public void setSpinMode(FloatToFloat value)

### setTrajectory

    public void setTrajectory(BSplineCurve value)

### setTwist

    public void setTwist(double value1,
                         double value2)

### setTwist

    public void setTwist(java.lang.String value1,
                         java.lang.String value2)

### setTwist1

    public void setTwist1(CustomFunction value)

### setTwist1

    public void setTwist1(double value)

### setTwist1

    public void setTwist1(java.lang.String value)

### setTwist2

    public void setTwist2(CustomFunction value)

### setTwist2

    public void setTwist2(double value)

### setTwist2

    public void setTwist2(java.lang.String value)

### setTwistMode

    public void setTwistMode(FloatToFloat value)

### useLod

    public void useLod(boolean value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD